Skip to main content
POST
/
v1
/
phones
/
{phone_id}
/
type
Type Text
curl --request POST \
  --url https://api.example.com/v1/phones/{phone_id}/type
Type text into the currently focused input field.

Request

curl -X POST https://api.tapkit.ai/v1/phones/{phone_id}/type \
  -H "X-API-Key: TK_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"text": "Hello, world!", "method": "keys"}'

Request Body

{
  "text": "Hello, world!",
  "method": "keys"
}
FieldTypeDefaultDescription
textstringrequiredText to type
methodstring"keys""keys", "paste", or "shortcut"

Methods

MethodDescription
keysSimulate individual keystrokes. Works everywhere, slower for long text.
pastePaste via clipboard. Fast for long text, may not work in all contexts.
shortcutUses iOS Shortcut for clipboard. Requires shortcut setup. Fast and reliable.